Bug 1627913 - Can't log in as "GNOME on Xorg" on Silverblue 28
Summary: Can't log in as "GNOME on Xorg" on Silverblue 28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-11 20:48 UTC by M. Edward (Ed) Borasky
Modified: 2019-05-28 22:33 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:33:35 UTC


Attachments (Terms of Use)

Description M. Edward (Ed) Borasky 2018-09-11 20:48:01 UTC
Reference: https://pagure.io/teamsilverblue/issue/37

Description of problem: Running Silverblue 28 on a system with an AMD "Bonaire" GPU. System works in a Wayland GNOME session but when I try to log in as "GNOME on Xorg" the screen flashes and comes back to a login prompt. It turns out X was segfaulting. Installing xorg-x11-drv-amdgpu fixed it.


Version-Release number of selected component (if applicable): Fedora 28 - found on Atomic Workstation / Silverblue


How reproducible: always


Steps to Reproduce:
1. Install Fedora Atomic Workstation / Silverblue 28 on my system
2. Try to log in with GNOME on Xorg

Actual results: returns to login prompt


Expected results: GNOME desktop


Additional info:

Comment 1 Adam Williamson 2018-09-11 20:52:49 UTC
ajax says this should not need xorg-x11-drv-amdgpu, the 'modesetting' driver (which is part of xorg-x11-server-Xorg) should support these cards. So, re-assigning to xorg-x11-server. ajax believes there's a bug which could explain why this system did not work with the 'modesetting' driver, and has posted a scratch build for Ed to try:

https://koji.fedoraproject.org/koji/taskinfo?taskID=29620484

to see if that fixes it.

Comment 2 M. Edward (Ed) Borasky 2018-09-23 20:25:08 UTC
This issue still exists on Silverblue 29 installed from Beta 1.5. I'll try the test package later today.

Comment 3 Dusty Mabe 2018-09-23 21:30:43 UTC
that test package is for f28 so you might need him to build another one from the f29 branch

Comment 4 Ben Cotton 2019-05-02 19:23:22 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-02 20:51:19 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 22:33:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.